--SET_GROUP object that builds a collection of groups that define the EWR network.
DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( { "EWR" } )
DetectionSetGroup:FilterStart()

--Define 'Grouping' distance in meters
Detection = DETECTION_AREAS:New( DetectionSetGroup, 10000 )

-- Setup the A2A dispatcher, and initialize it.
A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )

-- Enable the tactical display panel (debugging).
--A2ADispatcher:SetTacticalDisplay( true )

-- Initialize the dispatcher, setting up a border zone. This is a polygon, 
-- which takes the waypoints of a late activated group with the name CCCP Border as the boundaries of the border area.
-- Any enemy crossing this border will be engaged.
IranBorderZone = ZONE_POLYGON:New( "Iran Border Zone", GROUP:FindByName( "Iran Border Group" ) )
A2ADispatcher:SetBorderZone( IranBorderZone )

-- Initialize the dispatcher, setting up max engagement radius
A2ADispatcher:SetEngageRadius( 200000 )
A2ADispatcher:SetGciRadius( 270000 )

-- A random number generator that actually is random (math.random does not work alone)
-- Syntax: Resources(min, max, offset), offset increases the probability that there is 0 interceptors available
function Resources(Min, Max, OffSet)
  for x = 1,7 do
  math.random(); math.random(); math.random() -- warming up
  local Max_ = Max+OffSet
  Res = math.random(Min, Max_)-OffSet
  end
  return Res
end

-- Setup the squadrons.
local F4Number = Resources(2,6,0)
local F14Number = Resources(0,4,2)
A2ADispatcher:SetSquadron( "Bandar Abbas F-4", AIRBASE.PersianGulf.Bandar_Abbas_Intl , { "SQ IRIAF F-4 BandarAbbas" },  F4Number )
A2ADispatcher:SetSquadron( "Bandar Abbas F-14", AIRBASE.PersianGulf.Bandar_Abbas_Intl , { "SQ IRIAF F-14 BandarAbbas" },  F14Number )

-- Setup the overhead
A2ADispatcher:SetSquadronOverhead( "Bandar Abbas F-4", 1.2 )
A2ADispatcher:SetSquadronOverhead( "Bandar Abbas F-14", 1 )

-- Setup the Grouping
A2ADispatcher:SetSquadronGrouping( "Bandar Abbas F-4", 3 )
A2ADispatcher:SetSquadronGrouping( "Bandar Abbas F-14", 2 )

-- Setup the Takeoff methods
A2ADispatcher:SetSquadronTakeoffFromRunway( "Bandar Abbas F-4" )
A2ADispatcher:SetSquadronTakeoffFromRunway( "Bandar Abbas F-14" )

-- Setup the Landing methods
A2ADispatcher:SetSquadronLandingAtRunway( "Bandar Abbas F-4" )
A2ADispatcher:SetSquadronLandingAtRunway( "Bandar Abbas F-14" )

--Setup CAP duties
if trigger.misc.getUserFlag('101') > 66 then
  CAPZone = ZONE:New( "CAP Zone East")
  elseif trigger.misc.getUserFlag('101') > 33 then
    CAPZone = ZONE:New( "CAP Zone Center")
    else
    CAPZone = ZONE:New( "CAP Zone West")
end

if trigger.misc.getUserFlag('102') > 66 then
  CAPSquadronName = "Bandar Abbas F-14"
  else
  CAPSquadronName = "Bandar Abbas F-4"
end

if trigger.misc.getUserFlag('103') > 66 then
  MaxCAPnumber = 2
  else
  MaxCAPnumber = 1
end

A2ADispatcher:SetSquadronCap( CAPSquadronName, CAPZone, 6000, 8500, 800, 900, 800, 1200, "BARO" )
A2ADispatcher:SetSquadronCapInterval( CAPSquadronName, MaxCAPnumber, 10, 600, 1 )
A2ADispatcher:SetDefaultCapRacetrack(27000, 40000, 160, 200, 20*60, 60*60)

-- GCI Squadron execution.
A2ADispatcher:SetSquadronGci( "Bandar Abbas F-14", 900, 1200 )
A2ADispatcher:SetSquadronGci( "Bandar Abbas F-4", 900, 1200 )


