------------------------------
---Setup Skynet IADS (MIST)---
------------------------------

do
--create an instance of the IADS
IADS = SkynetIADS:create()

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = IADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
---end remove debug ---

--Add EWR:
--add all units with unit name beginning with 'EWR' to the IADS:
IADS:addEarlyWarningRadarsByPrefix('EWR')

--Add SAM-sites:
--add all groups begining with group name 'SAM' to the IADS:
IADS:addSAMSitesByPrefix('SAM')

--Add Command Centers with Power Sources
local commandCenterBAbbas = StaticObject.getByName("Command Center BAbbas")
local commPowerSourceBAbbas = StaticObject.getByName("Power Source Command Center BAbbas")
IADS:addCommandCenter(commandCenterBAbbas):addPowerSource(commPowerSourceBAbbas)

--local commandCenter2 = StaticObject.getByName("Command Center #002")
--local commPowerSource2 = StaticObject.getByName("Power Source Command Center #002")
--IADS:addCommandCenter(commandCenter2):addPowerSource(commPowerSource2)

--Add EWR Connection Nodes
--local EWRConnectionNode1 = Unit.getByName("Connection Node EWR Red #001") 
--IADS:getEarlyWarningRadarByUnitName('EWR Red #001'):addConnectionNode(EWRConnectionNode1)
--
--local EWRConnectionNode2 = Unit.getByName("Connection Node EWR Red #002") 
--IADS:getEarlyWarningRadarByUnitName('EWR Red #002'):addConnectionNode(EWRConnectionNode2)
--
--local EWRConnectionNode3 = Unit.getByName("Connection Node EWR Red #003") 
--IADS:getEarlyWarningRadarByUnitName('EWR Red #003'):addConnectionNode(EWRConnectionNode3)
--
--local EWRConnectionNode4 = Unit.getByName("Connection Node EWR Red #004") 
--IADS:getEarlyWarningRadarByUnitName('EWR Red #004'):addConnectionNode(EWRConnectionNode4)
--
----Add SAM Sites Connection Nodes
--
--local SAMConnectionNodeSA21 = Unit.getByName('Connection Node SAM Red SA-2 #001')
--IADS:getSAMSiteByGroupName('SAM Red SA-2 #001'):addConnectionNode(SAMConnectionNodeSA21)
--
--local SAMConnectionNodeSA22 = Unit.getByName('Connection Node SAM Red SA-2 #002')
--IADS:getSAMSiteByGroupName('SAM Red SA-2 #002'):addConnectionNode(SAMConnectionNodeSA22)
--
--local SAMConnectionNodeSA31 = Unit.getByName('Connection Node SAM Red SA-3 #001')
--IADS:getSAMSiteByGroupName('SAM Red SA-3 #001'):addConnectionNode(SAMConnectionNodeSA21)
--
--local SAMConnectionNodeSA32 = Unit.getByName('Connection Node SAM Red SA-3 #002')
--IADS:getSAMSiteByGroupName('SAM Red SA-3 #002'):addConnectionNode(SAMConnectionNodeSA32)
--
--local SAMConnectionNodeSA33 = Unit.getByName('Connection Node SAM Red SA-3 #003')
--IADS:getSAMSiteByGroupName('SAM Red SA-3 #003'):addConnectionNode(SAMConnectionNodeSA33)
--
--local SAMConnectionNodeSA34 = Unit.getByName('Connection Node SAM Red SA-3 #004')
--IADS:getSAMSiteByGroupName('SAM Red SA-3 #004'):addConnectionNode(SAMConnectionNodeSA34)
--
--local SAMConnectionNodeSA35 = Unit.getByName('Connection Node SAM Red SA-3 #005')
--IADS:getSAMSiteByGroupName('SAM Red SA-3 #005'):addConnectionNode(SAMConnectionNodeSA35)
--
--local SAMConnectionNodeSA36 = Unit.getByName('Connection Node SAM Red SA-3 #006')
--IADS:getSAMSiteByGroupName('SAM Red SA-3 #006'):addConnectionNode(SAMConnectionNodeSA36)

--activate the radio menu to toggle IADS Status output
IADS:addRadioMenu()

IADS:setUpdateInterval(5)

IADS:activate() 

end
--end Skynet IADS script